aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xroot/hooks/pre-push5
-rw-r--r--root/nix/devshell.nix9
2 files changed, 14 insertions, 0 deletions
diff --git a/root/hooks/pre-push b/root/hooks/pre-push
new file mode 100755
index 0000000..2b9ae9e
--- /dev/null
+++ b/root/hooks/pre-push
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+nix run .#checks
diff --git a/root/nix/devshell.nix b/root/nix/devshell.nix
index 98131e4..80eefe0 100644
--- a/root/nix/devshell.nix
+++ b/root/nix/devshell.nix
@@ -9,6 +9,15 @@
packages = [
pkgs.nixd
];
+
+ shellHook = ''
+ hooksdir="$(git rev-parse --show-toplevel)/root/hooks"
+ if [ ! -d "$hooksdir" ]; then
+ echo "error: hooks directory not found at $hooksdir"
+ exit 1
+ fi
+ git config set core.hooksPath "$hooksdir"
+ '';
};
devShells.root =